.header{
    background-color: var(--color-primary);
    box-shadow: var(--shadow-s);
    border-bottom-left-radius: 25px;
    border-bottom-right-radius: 25px;
    &.dark{
        background-color: var(--color-blue-darkest);
    }
    &-top{
        &.ThemeGrid_Container{
            max-width: 95%;
            margin: auto;
        }
        .header-content{
            .header-navigation{
                .app-menu-content{
                    .header-logo{
                        padding-right: 60px;
                        .btn-menu{ display: none; }
                    }
                    .app-menu-links{
                        a[role="menuitem"]{
                            color: white;
                            position: relative;
                            margin-right: 65px;
                            &:after{
                                content: "";
                                width: 100%;
                                height: 1px;
                                background-color: transparent;
                                position: absolute;
                                bottom: -2px;
                                left: 0;
                                display: inline-block;
                                transition: 0.3s ease;
                            }
                            &:hover{ 
                                color: white;
                                &:after{ background-color: var(--color-neutral-0); }
                            }
                            &:last-child{
                                margin-right: 0;
                            }
                            i{ display: none; }
                        }
                    }
                }
            }
        }
        div[data-element="userSpace"]{
            a[data-element="user-avatar"]{
                &:focus{
                    background-color: transparent;
                    box-shadow: none;
                }
                .avatar{
                    height: 32px;
                    width: 32px;
                    border: 2px solid var(--color-neutral-0);
                }
                span{
                    margin: 0 15px;
                    font-weight: 500;
                    color: var(--color-neutral-0);
                    white-space: nowrap;
                }
                i{
                    color: var(--color-neutral-0);
                }
                &:hover{
                    text-decoration: none;
                    span{
                        color: var(--color-neutral-0);
                    }
                    i{
                        color: var(--color-neutral-0);
                    }
                }
            }
            div[data-element="userActionsDropdown"]{
                background-color: var(--color-neutral-0);
                border-radius: 16px;
                bottom: -115px;
                box-shadow: var(--shadow-s);
                display: flex;
                flex-direction: column;
                height: 100px;
                justify-content: center;
                padding: 30px;
                position: absolute;
                right: -50px;
                width: 210px;
                opacity: 0;
                visibility: hidden;
                transition: all 0.3s ease;
                &.open-dropdown{
                    opacity: 1;
                    visibility: visible;
                }
                &:after{
                    content: "";
                    background-color: var(--color-neutral-0);
                    border-radius: 16px;
                    display: block;
                    height: 50px;
                    position: absolute;
                    right: 31px;
                    top: -18px;
                    width: 50px;
                    transform: rotate(45deg);
                }
                a{
                    width: 100%;
                    display: flex;
                    align-items: center;
                    text-decoration: none;
                    margin-bottom: 10px;
                    i{
                        font-size: var(--font-size-base);
                        margin-right: var(--space-base);
                    }
                    span{
                        color: var(--color-primary);
                        font-weight: 500;
                    }
                    &:last-child{
                        margin-bottom: 0;
                    }
                    &:hover{
                        color: var(--color-primary-light);
                    }
                }
            }
        }
    }
}